dsdpx.c File Reference

X variables, tolerances, errors, and feasibility. More...

Go to the source code of this file.

## Functions

int | DSDPSaveYForX (DSDP dsdp, double mu, double pstep)
| Save the current solution for later computation of X.

## Detailed Description

X variables, tolerances, errors, and feasibility.

Definition in file dsdpx.c.

## Function Documentation

## DSDPSaveYForX()

int DSDPSaveYForX | ( | DSDP | dsdp,
|  | double | mu,
|  | double | pstep
| ) |  |

Save the current solution for later computation of X.

Parameters

  dsdp | the solver
  mu | barrier function
  pstep | primal step length, hopefully equals 1

Definition at line 149 of file dsdpx.c.

Referenced by DSDPChooseBarrierParameter(), DSDPInitializeVariables(), and DSDPSolveDynamicRho().